Subject: bug#58248: Transient online manual: Wrong header and broken link

From: Stefan Kangas <[email-masked]>
Date: Sun, 2 Oct 2022 07:27:52 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Making the manuals hangs for me:

It doesn't hang here, with a freshly unpacked 28.2 tarball:

~/wip/emacs-manuals/emacs-28.2 $ ./admin/make-manuals
Making manuals (slow)...
Adding compressed html files...
Making manual tarfiles...
Doing emacs...
...created emacs-manual-28.2.tar
Doing lispref...
...created emacs-lispref-28.2.tar
Doing lispintro...
...created emacs-lispintro-28.2.tar
Doing misc...
...created emacs-misc-28.2.tar
Making refcards...
Adding compressed info files...
Finished OK, you might want to run upload-manuals now

> I guess what should be done is run that successfully and then run
> admin/upload-manuals?

That's what I did after the Emacs 28.2 release.  I don't know why it
wasn't successful.